> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List service registrations



## OpenAPI

````yaml /products/commerce/v1/openapi.yaml get /service-registrations
openapi: 3.1.0
info:
  license:
    name: Hellgate® API License
    url: https://starfish.team
  title: Commerce
  version: '0.1'
servers:
  - url: https://commerce1.on-hellgate.dev
    variables: {}
security:
  - mtls: []
  - api_key: []
tags: []
paths:
  /service-registrations:
    get:
      tags:
        - services
      summary: List service registrations
      operationId: CommerceWeb.Configuration.Services.ServiceRegistrationController.index
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceRegistrationsResponse'
          description: Success
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Error
      callbacks: {}
      security:
        - mtls: []
components:
  schemas:
    ServiceRegistrationsResponse:
      items:
        $ref: '#/components/schemas/ServiceRegistrationResponse'
      title: ServiceRegistrationsResponse
      type: array
      x-struct: Elixir.CommerceWeb.Schemas.ServicesSchema.ServiceRegistrationsResponse
      x-validate: null
    ErrorResponse:
      properties:
        classifier:
          type: string
          x-struct: null
          x-validate: null
        code:
          type: integer
          x-struct: null
          x-validate: null
        message:
          type: string
          x-struct: null
          x-validate: null
      required:
        - code
        - classifier
        - message
      title: ErrorResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ErrorsSchema.ErrorResponse
      x-validate: null
    ServiceRegistrationResponse:
      properties:
        capabilities:
          items:
            enum:
              - ACH
              - CARD
              - SCT
              - SDD
            type: string
            x-struct: null
            x-validate: null
          type: array
          x-struct: null
          x-validate: null
        created_at:
          format: date-time
          type: string
          x-struct: null
          x-validate: null
        id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
        schema:
          type: object
          x-struct: null
          x-validate: null
        service:
          type: string
          x-struct: null
          x-validate: null
        service_type:
          enum:
            - API
            - PROCESSOR
            - UTILITY
          type: string
          x-struct: null
          x-validate: null
        singleton:
          type: boolean
          x-struct: null
          x-validate: null
        version:
          type: string
          x-struct: null
          x-validate: null
      required:
        - id
        - version
        - service
        - singleton
        - created_at
        - schema
        - capabilities
        - service_type
      title: ServiceRegistrationResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ServicesSchema.ServiceRegistrationResponse
      x-validate: null
  securitySchemes:
    mtls:
      description: >-
        Client certificate authentication via mTLS. Account-scoped routes
        additionally require the X-Account-ID header to identify the account.
      type: mutualTLS
    api_key:
      in: header
      name: X-API-Key
      type: apiKey

````